A B C F G H I J M N P R S T U X

A

assertBody(Matcher<String>) - Method in interface com.rexsl.test.TestResponse
Verifies HTTP response body content against provided matcher, and throws AssertionError in case of mismatch.
assertHeader(String, Matcher<Iterable<String>>) - Method in interface com.rexsl.test.TestResponse
Verifies HTTP header against provided matcher, and throws AssertionError in case of mismatch.
AssertionPolicy - Interface in com.rexsl.test
Policy of assertion, used by TestResponse.
assertJson(String) - Method in interface com.rexsl.test.TestResponse
Verifies the Json data against the element identifier argument, and throws AssertionError in case of mismatch.
assertStatus(int) - Method in interface com.rexsl.test.TestResponse
Verifies HTTP response status code against the provided absolute value, and throws AssertionError in case of mismatch.
assertStatus(Matcher<Integer>) - Method in interface com.rexsl.test.TestResponse
Verifies HTTP response status code against the provided matcher, and throws AssertionError in case of mismatch.
assertThat(TestResponse) - Method in interface com.rexsl.test.AssertionPolicy
Make an assertion and return nothing or throw AssertionError if some problem is found.
assertThat(TestResponse) - Method in class com.rexsl.test.assertions.BodyMatcher
Make an assertion and return nothing or throw AssertionError if some problem is found.
assertThat(TestResponse) - Method in class com.rexsl.test.assertions.Failure
Make an assertion and return nothing or throw AssertionError if some problem is found.
assertThat(TestResponse) - Method in class com.rexsl.test.assertions.HeaderMatcher
Make an assertion and return nothing or throw AssertionError if some problem is found.
assertThat(TestResponse) - Method in class com.rexsl.test.assertions.StatusMatcher
Make an assertion and return nothing or throw AssertionError if some problem is found.
assertThat(TestResponse) - Method in class com.rexsl.test.assertions.XpathMatcher
Make an assertion and return nothing or throw AssertionError if some problem is found.
assertThat(AssertionPolicy) - Method in interface com.rexsl.test.TestResponse
Assert something (AssertionError will be thrown if assertion fails).
assertXPath(String) - Method in interface com.rexsl.test.TestResponse
Verifies HTTP response body XHTML/XML content against XPath query, and throws AssertionError in case of mismatch.

B

BodyMatcher - Class in com.rexsl.test.assertions
Matches HTTP body against matcher.
BodyMatcher(Matcher<String>) - Constructor for class com.rexsl.test.assertions.BodyMatcher
Public ctor.

C

com.rexsl.test - package com.rexsl.test
RESTful client, for tests (but not only).
com.rexsl.test.assertions - package com.rexsl.test.assertions
Built-in assertions for TestResponse.
cookie(String) - Method in interface com.rexsl.test.TestResponse
Get cookie.

F

fail(String) - Method in interface com.rexsl.test.TestResponse
Fail and report a problem (throws AssertionError with the message provided).
Failure - Class in com.rexsl.test.assertions
Always fail.
Failure(String) - Constructor for class com.rexsl.test.assertions.Failure
Public ctor.
follow() - Method in interface com.rexsl.test.TestResponse
Follow the LOCATION header.

G

GET - Static variable in class com.rexsl.test.RestTester
GET method name.
get(String) - Method in interface com.rexsl.test.TestClient
Execute GET request.
getBody() - Method in interface com.rexsl.test.TestResponse
Get body as a string, assuming it's UTF-8.
getHeaders() - Method in interface com.rexsl.test.TestResponse
Get a collection of all headers.
getStatus() - Method in interface com.rexsl.test.TestResponse
Get status of the response as a positive integer number.
getStatusLine() - Method in interface com.rexsl.test.TestResponse
Get status line of the response.

H

hasXPath(String) - Static method in class com.rexsl.test.XhtmlMatchers
Matches content agains XPath query.
hasXPath(String, Object...) - Static method in class com.rexsl.test.XhtmlMatchers
Matches content agains XPath query, with custom namespaces.
hasXPath(String, NamespaceContext) - Static method in class com.rexsl.test.XhtmlMatchers
Matches content agains XPath query, with custom context.
hasXPaths(String...) - Static method in class com.rexsl.test.XhtmlMatchers
Matches content against list of XPaths.
header(String, Object) - Method in interface com.rexsl.test.TestClient
Set request header.
HeaderMatcher - Class in com.rexsl.test.assertions
Matches HTTP header against required value.
HeaderMatcher(String, Matcher<Iterable<String>>) - Constructor for class com.rexsl.test.assertions.HeaderMatcher
Public ctor.

I

isRetryNeeded(int) - Method in interface com.rexsl.test.AssertionPolicy
Do we need to re-fetch the page and try again?
isRetryNeeded(int) - Method in class com.rexsl.test.assertions.BodyMatcher
Do we need to re-fetch the page and try again?
isRetryNeeded(int) - Method in class com.rexsl.test.assertions.Failure
Do we need to re-fetch the page and try again?
isRetryNeeded(int) - Method in class com.rexsl.test.assertions.HeaderMatcher
Do we need to re-fetch the page and try again?
isRetryNeeded(int) - Method in class com.rexsl.test.assertions.StatusMatcher
Do we need to re-fetch the page and try again?
isRetryNeeded(int) - Method in class com.rexsl.test.assertions.XpathMatcher
Do we need to re-fetch the page and try again?

J

JaxbConverter - Class in com.rexsl.test
JAXB-empowered object to XML converting utility.
json(String) - Method in interface com.rexsl.test.JsonDocument
Find and return text elements or attributes matched by json.
json(String) - Method in class com.rexsl.test.SimpleJson
Find and return text elements or attributes matched by json.
JsonDocument - Interface in com.rexsl.test
Json document.

M

MAX_ATTEMPTS - Static variable in interface com.rexsl.test.TestResponse
How many attempts to make when TestResponse.assertThat(AssertionPolicy) reports a problem.
merge(NamespaceContext) - Method in class com.rexsl.test.SimpleXml
Append this namespace context to the existing one.
merge(NamespaceContext) - Method in interface com.rexsl.test.XmlDocument
Append this namespace context to the existing one.

N

node() - Method in class com.rexsl.test.SimpleXml
Retrieve DOM node, represented by this wrapper.
node() - Method in interface com.rexsl.test.XmlDocument
Retrieve DOM node, represented by this wrapper.
NodeNotFoundException - Exception in com.rexsl.test
Node not found in XmlDocument.
NodeNotFoundException(String, Node, String) - Constructor for exception com.rexsl.test.NodeNotFoundException
Public ctor.
nodes(String) - Method in class com.rexsl.test.SimpleXml
Retrieve DOM nodes from the XML response.
nodes(String) - Method in interface com.rexsl.test.XmlDocument
Retrieve DOM nodes from the XML response.
nodesJson(String) - Method in interface com.rexsl.test.JsonDocument
Retrieve nodes from the Json response.
nodesJson(String) - Method in class com.rexsl.test.SimpleJson
Retrieve nodes from the Json response.

P

POST - Static variable in class com.rexsl.test.RestTester
POST method name.
post(String, Object) - Method in interface com.rexsl.test.TestClient
Execute POST request.
PUT - Static variable in class com.rexsl.test.RestTester
PUT method name.
put(String, Object) - Method in interface com.rexsl.test.TestClient
Execute PUT request.

R

registerNs(String, Object) - Method in class com.rexsl.test.SimpleXml
Register additional namespace prefix for XPath.
registerNs(String, Object) - Method in interface com.rexsl.test.TestResponse
Register additional namespace prefix for XPath.
registerNs(String, Object) - Method in interface com.rexsl.test.XmlDocument
Register additional namespace prefix for XPath.
rel(String) - Method in interface com.rexsl.test.TestResponse
Find link in XML and return new client with this link as URI.
RestTester - Class in com.rexsl.test
A static entry point for a test client.

S

SimpleJson - Class in com.rexsl.test
Implementation of JsonDocument.
SimpleJson(String) - Constructor for class com.rexsl.test.SimpleJson
Public ctor.
SimpleJson(JsonNode) - Constructor for class com.rexsl.test.SimpleJson
Public ctor.
SimpleXml - Class in com.rexsl.test
Implementation of XmlDocument.
SimpleXml(String) - Constructor for class com.rexsl.test.SimpleXml
Public ctor, from XML as a text.
SimpleXml(Source) - Constructor for class com.rexsl.test.SimpleXml
Public ctor, from a DOM source.
SimpleXml(File) - Constructor for class com.rexsl.test.SimpleXml
Public ctor, from XML in a file.
SimpleXml(InputStream) - Constructor for class com.rexsl.test.SimpleXml
Public ctor, from input stream.
start(URI) - Static method in class com.rexsl.test.RestTester
Start new RESTful testing session.
start(UriBuilder) - Static method in class com.rexsl.test.RestTester
Start new session.
StatusMatcher - Class in com.rexsl.test.assertions
Matches HTTP status against required value.
StatusMatcher(Matcher<Integer>) - Constructor for class com.rexsl.test.assertions.StatusMatcher
Public ctor.

T

TestClient - Interface in com.rexsl.test
A universal class for in-container testing of your web application.
TestResponse - Interface in com.rexsl.test
Response returned by TestClient.
the(Object, Class...) - Static method in class com.rexsl.test.JaxbConverter
Convert an object to XML.
toString() - Method in class com.rexsl.test.SimpleXml

U

uri() - Method in interface com.rexsl.test.TestClient
Get destination of the client.

X

XhtmlMatchers - Class in com.rexsl.test
Convenient set of matchers for XHTML/XML content.
XmlDocument - Interface in com.rexsl.test
XML document.
xpath(String) - Method in class com.rexsl.test.SimpleXml
Find and return text elements or attributes matched by XPath address.
xpath(String) - Method in interface com.rexsl.test.XmlDocument
Find and return text elements or attributes matched by XPath address.
XpathMatcher - Class in com.rexsl.test.assertions
Matches HTTP header against required value.
XpathMatcher(XmlDocument, String) - Constructor for class com.rexsl.test.assertions.XpathMatcher
Public ctor.

A B C F G H I J M N P R S T U X

Copyright © 2011-2012 ReXSL.com. All Rights Reserved.